JavaScript/jQuery LinearGauge Methods
beginUpdate()
Prevents the UI component from refreshing until the endUpdate() method is called.
The beginUpdate() and endUpdate() methods prevent the UI component from excessive updates when you are changing multiple UI component settings at once. After the beginUpdate() method is called, the UI component does not update its UI until the endUpdate() method is called.
See Also
dispose()
After calling this method, remove the DOM element associated with the UI component:
- $("#myLinearGauge").dxLinearGauge("dispose");
- $("#myLinearGauge").remove();
Use this method only if the UI component was created with jQuery or pure JavaScript. In Angular, Vue, and React, use conditional rendering:
See Also
getInstance(element)
getInstance is a static method that the UI component class supports. The following code demonstrates how to get the LinearGauge instance found in an element with the myLinearGauge
ID:
- // Modular approach
- import LinearGauge from "devextreme/viz/linear_gauge";
- ...
- let element = document.getElementById("myLinearGauge");
- let instance = LinearGauge.getInstance(element) as LinearGauge;
- // Non-modular approach
- let element = document.getElementById("myLinearGauge");
- let instance = DevExpress.viz.dxLinearGauge.getInstance(element);
See Also
render()
Normally, the UI component redraws itself automatically after the browser window is resized. But on rare occasions, you may need to request the redrawing, for example, after the UI component's container is resized. For this purpose, call the render() method.
See Also
subvalues(subvalues)
Use this method to change gauge subvalues at runtime.
Value Indicators API Demo Subvalue Indicators Demo
See Also
value(value)
Updates the main value.
Use this method to change the main gauge value at runtime.
Value Indicators API Demo Subvalue Indicators Demo
See Also
If you have technical questions, please create a support ticket in the DevExpress Support Center.

React LinearGauge Methods
This section describes methods that can be used to manipulate the UI component.
beginUpdate()
Prevents the UI component from refreshing until the endUpdate() method is called.
The beginUpdate() and endUpdate() methods prevent the UI component from excessive updates when you are changing multiple UI component settings at once. After the beginUpdate() method is called, the UI component does not update its UI until the endUpdate() method is called.
See Also
dispose()
Disposes of all the resources allocated to the LinearGauge instance.
After calling this method, remove the DOM element associated with the UI component:
$("#myLinearGauge").dxLinearGauge("dispose");
$("#myLinearGauge").remove();Use this method only if the UI component was created with jQuery or pure JavaScript. In Angular, Vue, and React, use conditional rendering:
Angular
<dx-linear-gauge ...
    *ngIf="condition">
</dx-linear-gauge>Vue
<template>
    <DxLinearGauge ...
        v-if="condition">
    </DxLinearGauge>
</template>
<script>
import DxLinearGauge from 'devextreme-vue/linear-gauge';
export default {
    components: {
        DxLinearGauge
    }
}
</script>React
import React from 'react';
import LinearGauge from 'devextreme-react/linear-gauge';
function DxLinearGauge(props) {
    if (!props.shouldRender) {
        return null;
    }
    return (
        <LinearGauge ... >    
        </LinearGauge>
    );
}
class App extends React.Component {
    render() {
        return (
            <DxLinearGauge shouldRender="condition" />
        );
    }
}
export default App;See Also
element()
Gets the root UI component element.
An HTML element or a jQuery element when you use jQuery.
getInstance(element)
Gets the instance of a UI component found using its DOM node.
The UI component's instance.
getInstance is a static method that the UI component class supports. The following code demonstrates how to get the LinearGauge instance found in an element with the myLinearGauge ID:
// Modular approach
import LinearGauge from "devextreme/viz/linear_gauge";
...
let element = document.getElementById("myLinearGauge");
let instance = LinearGauge.getInstance(element) as LinearGauge;
// Non-modular approach
let element = document.getElementById("myLinearGauge");
let instance = DevExpress.viz.dxLinearGauge.getInstance(element);See Also
instance()
Gets the UI component's instance. Use it to access other methods of the UI component.
This UI component's instance.
off(eventName)
Detaches all event handlers from a single event.
The event's name.
The object for which this method is called.
off(eventName, eventHandler)
Detaches a particular event handler from a single event.
The object for which this method is called.
on(eventName, eventHandler)
Subscribes to an event.
The object for which this method is called.
on(events)
Subscribes to events.
Events with their handlers: { "eventName1": handler1, "eventName2": handler2, ...}
The object for which this method is called.
option(optionName)
Gets the value of a single property.
The property's name or full path.
This property's value.
option(options)
Updates the values of several properties.
Options with their new values.
render()
Redraws the UI component.
Normally, the UI component redraws itself automatically after the browser window is resized. But on rare occasions, you may need to request the redrawing, for example, after the UI component's container is resized. For this purpose, call the render() method.
See Also
resetOption(optionName)
Resets a property to its default value.
A property's name.
subvalues(subvalues)
Updates subvalues.
Use this method to change gauge subvalues at runtime.
Value Indicators API Demo Subvalue Indicators Demo
See Also
value(value)
Updates the main value.
A new value.
Use this method to change the main gauge value at runtime.
Value Indicators API Demo Subvalue Indicators Demo
See Also
If you have technical questions, please create a support ticket in the DevExpress Support Center.